import greenfoot.*;

public class Frog extends Actor {
    private int frogEnergy = 0;

    public void act() {
        //Text wird angezeigt
        this.getWorld().showText("Energie: " + frogEnergy, 520, 20);

        //Bewegungen werden aktiviert
        if (Greenfoot.isKeyDown("a")) {
            move(-5);
        }

        if (Greenfoot.isKeyDown("d")) {
            move(5);
        }
        //Kollision wird aktiviert
        checkCollision();
    }
    //Gibt den Wert der Energie zurück
    public int getEnergy() {
        return frogEnergy;
    }
    //Energie wird festgelegt
    public void setEnergy(int energy) {
        this.frogEnergy = energy;
    }

    //Kollision
    private void checkCollision() {
        Fruit myFruit = (Fruit)this.getOneIntersectingObject(Fruit.class);
        
        if (myFruit != null && myFruit.getEnergy() > 0) {
            frogEnergy = frogEnergy + 1;
            myFruit.setEnergy(myFruit.getEnergy() - 1);
            
            if (myFruit.getEnergy() == 0) {
                getWorld().removeObject(myFruit);
            }
        }
    }
}
